# ContextResolver (ACF (Core) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands.contexts, interface: ContextResolver

Package co.aikar.commands.contexts

# Interface ContextResolver<T,C extends CommandExecutionContext<?,? extends CommandIssuer>>

Type Parameters:
  `T` - The type to be parsed.
  `C` - The type of the context which the resolver would get its data from.

All Known Subinterfaces:
  `IssuerAwareContextResolver<T,C>`, `IssuerOnlyContextResolver<T,C>`, `OptionalContextResolver<T,C>`, `SenderAwareContextResolver<T,C>`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface ContextResolver<T,C extends CommandExecutionContext<?,? extends CommandIssuer>>
This defines a context resolver, which parses `ContextResolver` from `ContextResolver`.

## Method Summary

Modifier and Type
Method
Description
`T`
`getContext(C c)`
Parses the context of type `ContextResolver` into `ContextResolver`, or throws an exception.

## Method Details

### getContext

T getContext (C c) throws InvalidCommandArgument
Parses the context of type `ContextResolver` into `ContextResolver`, or throws an exception.

Parameters:
  `c` - The context to parse from.
Returns:
  The parsed instance of the wanted type.
Throws:
  `InvalidCommandArgument` - In case the context contains any discrepancies, it will throw this exception.